Public Member Functions | Public Attributes | List of all members
libebook::IMPMetadata Struct Reference

`#include <IMPTypes.h>`

## Public Member Functions
| IMPMetadata ()

## Public Attributes
std::string | id
std::string | category
std::string | subcategory
std::string | title
std::string | lastName
std::string | middleName
std::string | firstName

## Constructor & Destructor Documentation

## § IMPMetadata()

libebook::IMPMetadata::IMPMetadata | ( |  | ) |

## Member Data Documentation

## § category

std::string libebook::IMPMetadata::category

Referenced by libebook::IMPHeader::readBookProperties().

## § firstName

std::string libebook::IMPMetadata::firstName

Referenced by libebook::IMPHeader::readBookProperties().

## § id

std::string libebook::IMPMetadata::id

Referenced by libebook::IMPHeader::readBookProperties().

## § lastName

std::string libebook::IMPMetadata::lastName

Referenced by libebook::IMPHeader::readBookProperties().

## § middleName

std::string libebook::IMPMetadata::middleName

Referenced by libebook::IMPHeader::readBookProperties().

## § subcategory

std::string libebook::IMPMetadata::subcategory

Referenced by libebook::IMPHeader::readBookProperties().

## § title

std::string libebook::IMPMetadata::title

Referenced by libebook::IMPHeader::readBookProperties().

The documentation for this struct was generated from the following files:

- IMPTypes.h
- IMPTypes.cpp